View Issue Details

IDProjectCategoryView StatusLast Update
0003736Far ManagerDescriptionspublic2019-10-15 02:22
ReporterMikhailAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003736: Невозможно изменить описание файла на сетевом диске
DescriptionПроблема возникает при попытке изменить описание любого файла в любой папке сетевого (network mapped) диска, если файл Descript.ion уже существует в этой папке. Проблема выражается в том, что содержимое файла Descript.ion (и, соответственно, описание файла) не меняется, выводится сообщение об ошибке а в папке возникает "временный файл" нулевой длины.

Проблема наблюдается под Windows 7 x64 во всех версиях от 5448 и новее. В Версиях от 5447 и старше такое проблемы нет. На локальных дисках проблема не проявляется.
Steps To Reproduce1. Подключить сетевой диск.
2. Если в папке нет файла Descript.ion, создать его любым способом.
3. Нажать Ctrl-Z на любом файле.
4. Ввести или изменить описание файла.
5. Попытаться сохранить описание.
TagsNo tags attached.
Build5465

Activities

Mikhail

2019-08-31 10:45

reporter   bugnote:0016583

В версии x86 такая же проблема, так что дело не в разрядности. Что-то поломалось между версиями 5447 и 5448.

DrKnS

2019-08-31 13:53

administrator   bugnote:0016584

> выводится сообщение об ошибке

Ну а само сообщение можно в студию?

Mikhail

2019-08-31 14:43

reporter   bugnote:0016585

Cannot update file descriptions
Can't create a temporary file: параметр задан неверно

Наблюдается не только на подмонтированных дисках, но и при входе в сетевое расположение через плагин Network browser. Кстати, ошибка наблюдается только на шарах от Samba. В папке расшареной из Windows всё работает.

DrKnS

2019-08-31 18:22

administrator   bugnote:0016586

У меня работает без ошибок. Samba 4.9.11.

Mikhail

2019-09-01 19:57

reporter   bugnote:0016588

У меня 4.8.12. Как бы то ни было, в FAR версий 5447 и старше на тех же шарах ошибка не возникает. Что изменилось в процедуре работы с файлом Descript.ion при переходе к версии 5448?

DrKnS

2019-09-01 22:30

administrator   bugnote:0016589

В 5448 временный файл создается с теми же правами доступа, что и оригинальный.

Я там нашел ошибку, возможно, это как раз ваш случай. Попробуйте 5462.

Mikhail

2019-09-03 09:27

reporter   bugnote:0016591

Нет, не помогло. В 5462 и 5464 та же проблема.

DrKnS

2019-09-04 01:23

administrator   bugnote:0016593

Не хотелось расставлять костыли, но, видимо, придется. 5465.

Mikhail

2019-09-05 08:57

reporter   bugnote:0016595

Да, теперь работает. Спасибо! Если не сложно объясните, в чём была причина. Может мне в настройках Самбы что-то стоит подкрутить?

DrKnS

2019-10-15 02:21

administrator   bugnote:0016617

> в чём была причина

В каких-то тараканах самбы.

https://github.com/FarGroup/FarManager/commit/9f88da120ef2d41fea8eec167f49a16b81ff12b9

В CreateFile передается security descriptor, взятый у существующего файла.
В вашем случае оно почему-то говорит invalid parameter, поэтому пробуем еще раз, уже без дескриптора.

Issue History

Date Modified Username Field Change
2019-08-31 02:31 Mikhail New Issue
2019-08-31 10:45 Mikhail Note Added: 0016583
2019-08-31 13:53 DrKnS Note Added: 0016584
2019-08-31 14:43 Mikhail Note Added: 0016585
2019-08-31 18:22 DrKnS Note Added: 0016586
2019-09-01 19:57 Mikhail Note Added: 0016588
2019-09-01 22:30 DrKnS Note Added: 0016589
2019-09-01 22:30 DrKnS Assigned To => DrKnS
2019-09-01 22:30 DrKnS Status new => assigned
2019-09-03 09:27 Mikhail Note Added: 0016591
2019-09-04 01:23 DrKnS Note Added: 0016593
2019-09-05 08:57 Mikhail Note Added: 0016595
2019-10-15 02:21 DrKnS Note Added: 0016617
2019-10-15 02:22 DrKnS Status assigned => closed
2019-10-15 02:22 DrKnS Resolution open => fixed
2019-10-15 02:22 DrKnS Fixed in Version => 3.0
2019-10-15 02:22 DrKnS Build => 5465